Loading...
Searching...
No Matches
CxxTest::StaticSuiteDescription Class Reference

`#include <RealDescriptions.h>`

## Public Member Functions

| StaticSuiteDescription ()
| StaticSuiteDescription (const char *argFile, unsigned argLine, const char *argSuiteName, TestSuite &argSuite, List &argTests)
void | initialize (const char *argFile, unsigned argLine, const char *argSuiteName, TestSuite &argSuite, List &argTests)
TestSuite * | suite () const
bool | setUp ()
bool | tearDown ()
Public Member Functions inherited from CxxTest::RealSuiteDescription
| RealSuiteDescription ()
| RealSuiteDescription (const char *argFile, unsigned argLine, const char *argSuiteName, List &argTests)
void | initialize (const char *argFile, unsigned argLine, const char *argSuiteName, List &argTests)
const char * | file () const
unsigned | line () const
const char * | suiteName () const
TestDescription * | firstTest ()
const TestDescription * | firstTest () const
SuiteDescription * | next ()
const SuiteDescription * | next () const
unsigned | numTests () const
const TestDescription & | testDescription (unsigned i) const
void | activateAllTests ()
bool | leaveOnly (const char *testName)
Public Member Functions inherited from CxxTest::SuiteDescription
virtual | ~SuiteDescription ()
Public Member Functions inherited from CxxTest::Link
| Link ()
virtual | ~Link ()
bool | active () const
void | setActive (bool value=true)
Link * | justNext ()
Link * | justPrev ()
Link * | next ()
Link * | prev ()
const Link * | next () const
const Link * | prev () const
void | attach (List &l)
void | detach (List &l)

## Private Member Functions

| StaticSuiteDescription (const StaticSuiteDescription &)
StaticSuiteDescription & | operator= (const StaticSuiteDescription &)
void | doInitialize (TestSuite &argSuite)

## Private Attributes

TestSuite * | _suite

## Detailed Description

Definition at line 82 of file RealDescriptions.h.

## Constructor & Destructor Documentation

## StaticSuiteDescription() [1/3]

CxxTest::StaticSuiteDescription::StaticSuiteDescription | ( |  | ) |

Definition at line 155 of file RealDescriptions.cpp.

{}

## StaticSuiteDescription() [2/3]

CxxTest::StaticSuiteDescription::StaticSuiteDescription | ( | const char * | argFile,
|  | unsigned | argLine,
|  | const char * | argSuiteName,
|  | TestSuite & | argSuite,
|  | List & | argTests )

Definition at line 156 of file RealDescriptions.cpp.

:
RealSuiteDescription( argFile, argLine, argSuiteName, argTests )
{
doInitialize( argSuite );
}
CxxTest::RealSuiteDescription::RealSuiteDescription
RealSuiteDescription()
Definition RealDescriptions.cpp:101
CxxTest::StaticSuiteDescription::doInitialize
void doInitialize(TestSuite &argSuite)
Definition RealDescriptions.cpp:172

## StaticSuiteDescription() [3/3]

CxxTest::StaticSuiteDescription::StaticSuiteDescription | ( | const StaticSuiteDescription & |  | ) |

private

## Member Function Documentation

## doInitialize()

void CxxTest::StaticSuiteDescription::doInitialize | ( | TestSuite & | argSuite | ) |

private

Definition at line 172 of file RealDescriptions.cpp.

{
_suite = &argSuite;
}
CxxTest::StaticSuiteDescription::_suite
TestSuite * _suite
Definition RealDescriptions.h:104

## initialize()

void CxxTest::StaticSuiteDescription::initialize | ( | const char * | argFile,
|  | unsigned | argLine,
|  | const char * | argSuiteName,
|  | TestSuite & | argSuite,
|  | List & | argTests )

Definition at line 164 of file RealDescriptions.cpp.

{
RealSuiteDescription::initialize( argFile, argLine, argSuiteName, argTests );
doInitialize( argSuite );
}
CxxTest::RealSuiteDescription::initialize
void initialize(const char *argFile, unsigned argLine, const char *argSuiteName, List &argTests)
Definition RealDescriptions.cpp:110

## operator=()

StaticSuiteDescription & CxxTest::StaticSuiteDescription::operator= | ( | const StaticSuiteDescription & |  | ) |

private

## setUp()

bool CxxTest::StaticSuiteDescription::setUp | ( |  | ) |

virtual

Implements CxxTest::Link.

Definition at line 182 of file RealDescriptions.cpp.

{ return true; }

## suite()

TestSuite * CxxTest::StaticSuiteDescription::suite | ( |  | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 177 of file RealDescriptions.cpp.

{
return _suite;
}

## tearDown()

bool CxxTest::StaticSuiteDescription::tearDown | ( |  | ) |

virtual

Implements CxxTest::Link.

Definition at line 183 of file RealDescriptions.cpp.

{ return true; }

## Field Documentation

## _suite

TestSuite* CxxTest::StaticSuiteDescription::_suite

private

Definition at line 104 of file RealDescriptions.h.

The documentation for this class was generated from the following files:

- libpolys/tests/cxxtest/RealDescriptions.h
- libpolys/tests/cxxtest/RealDescriptions.cpp